<!DOCTYPE html>
<html lang="uk">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Додавання товару</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f9f9f9;
            margin: 0;
            padding: 0;
            color: #333;
        }
        h1, h2 {
            text-align: center;
            color: #444;
        }
        form {
            max-width: 500px;
            margin: 20px auto;
            background-color: #fff;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }
        label {
            display: block;
            margin-bottom: 10px;
            font-weight: bold;
        }
        input[type="text"], input[type="number"], input[type="password"] {
            width: calc(100% - 20px);
            padding: 10px;
            margin-bottom: 20px;
            border: 1px solid #ccc;
            border-radius: 5px;
        }
        button {
            background-color: #28a745;
            color: #fff;
            padding: 10px 15px;
            border: none;
            border-radius: 5px;
            cursor: pointer;
            font-size: 16px;
        }
        button:hover {
            background-color: #218838;
        }
        .copy-btn {
            background-color: #007bff;
            margin-top: 20px;
        }
        .copy-btn:hover {
            background-color: #0056b3;
        }
        .success, .error {
            text-align: center;
            margin-top: 20px;
        }
        .success {
            color: green;
        }
        .error {
            color: red;
        }
        #item-id {
            font-weight: bold;
        }
    </style>
</head>
<body>

<h1>Додавання товару</h1>

<form method="POST" action="create_rw.php?login=<?php echo urlencode($_GET['login']); ?>&password=<?php echo urlencode($_GET['password']); ?>">
    <label for="name">Назва товару:</label>
    <input type="text" id="name" name="name" required><br>

    <label for="price">Ціна товару:</label>
    <input type="number" id="price" name="price" step="0.01" min="0" required><br>

    <button type="submit">Додати товар</button>
</form>

<div class="success" id="success-message" style="display: none;">
    Товар успішно додано! ID товару: <span id="item-id"></span>
    <button class="copy-btn" onclick="copyItemId()">Копіювати</button>
</div>

<div class="error" id="error-message" style="display: none;">
    Сталася помилка при додаванні товару.
</div>

<script>
    // Функція для копіювання ID товару
    function copyItemId() {
        var itemId = document.getElementById("item-id").textContent;
        var textarea = document.createElement("textarea");
        textarea.value = itemId;
        document.body.appendChild(textarea);
        textarea.select();
        document.execCommand("copy");
        document.body.removeChild(textarea);
        alert("ID товару скопійовано: " + itemId);
    }

    // PHP код для відображення повідомлення
    <?php if (isset($newItemId)): ?>
        document.getElementById("item-id").textContent = "<?php echo $newItemId; ?>";
        document.getElementById("success-message").style.display = "block";
    <?php elseif (isset($error)): ?>
        document.getElementById("error-message").style.display = "block";
    <?php endif; ?>
</script>

</body>
</html>
