<?php
$config = json_decode(file_get_contents('config.json'), true);
$servername = isset($config['db_host']) ? $config['db_host'] : 'localhost';
$username = isset($config['db_user']) ? $config['db_user'] : 'root';
$password = isset($config['db_password']) ? $config['db_password'] : '';
$dbname = isset($config['db_name']) ? $config['db_name'] : 'core';

// Створення з'єднання
$conn = new mysqli($servername, $username, $password, $dbname);

// Перевірка з'єднання
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// SQL для створення таблиці 'items'
$sql_items = "
    CREATE TABLE IF NOT EXISTS items (
        id INT AUTO_INCREMENT PRIMARY KEY,
        name VARCHAR(255) NOT NULL,
        price DECIMAL(10, 2) NOT NULL
    );
";

// SQL для створення таблиці 'checks'
$sql_checks = "
    CREATE TABLE IF NOT EXISTS checks (
        id INT AUTO_INCREMENT PRIMARY KEY,
        created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP
    );
";

// SQL для створення таблиці 'check_items'
$sql_check_items = "
    CREATE TABLE IF NOT EXISTS check_items (
        check_id INT,
        item_id INT,
        quantity INT,
        PRIMARY KEY (check_id, item_id),
        FOREIGN KEY (check_id) REFERENCES checks(id),
        FOREIGN KEY (item_id) REFERENCES items(id)
    );
";

// Виконання запитів для створення таблиць
if ($conn->query($sql_items) === TRUE) {
    echo "Table 'items' created successfully.<br>";
} else {
    echo "Error creating table 'items': " . $conn->error . "<br>";
}

if ($conn->query($sql_checks) === TRUE) {
    echo "Table 'checks' created successfully.<br>";
} else {
    echo "Error creating table 'checks': " . $conn->error . "<br>";
}

if ($conn->query($sql_check_items) === TRUE) {
    echo "Table 'check_items' created successfully.<br>";
} else {
    echo "Error creating table 'check_items': " . $conn->error . "<br>";
}

// Закриття з'єднання
$conn->close();
?>
