<?php
// Параметри з'єднання з базою даних
$config = json_decode(file_get_contents('config.json'), true);
$servername = isset($config['db_host']) ? $config['db_host'] : 'localhost';
$username = isset($config['db_user']) ? $config['db_user'] : 'root';
$password = isset($config['db_password']) ? $config['db_password'] : '';
$dbname = isset($config['db_name']) ? $config['db_name'] : 'core';

// Отримання даних з GET-запиту
$providedLogin = isset($_GET['login']) ? $_GET['login'] : '';
$providedPassword = isset($_GET['password']) ? $_GET['password'] : '';
$itemId = isset($_GET['id']) ? (int)$_GET['id'] : 0;

// Перевірка логіну та пароля
if ($providedLogin !== $config['login'] || $providedPassword !== $config['password']) {
    die("Invalid login or password.");
}

// Перевірка коректності ID
if ($itemId <= 0) {
    die("Невірний ID товару.");
}

// Створення з'єднання з базою даних
$conn = new mysqli($servername, $username, $password, $dbname);

// Перевірка з'єднання
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Перевірка наявності товару з таким ID
$sqlCheck = "SELECT COUNT(*) AS count FROM items WHERE id = ?";
$stmtCheck = $conn->prepare($sqlCheck);
$stmtCheck->bind_param("i", $itemId);
$stmtCheck->execute();
$resultCheck = $stmtCheck->get_result();
$rowCheck = $resultCheck->fetch_assoc();

if ($rowCheck['count'] == 0) {
    die("Товар з таким ID не знайдено.");
}

// Видалення товару з бази даних
$sql = "DELETE FROM items WHERE id = ?";
$stmt = $conn->prepare($sql);
$stmt->bind_param("i", $itemId);
$stmt->execute();

if ($stmt->affected_rows > 0) {
    echo "Товар успішно видалено!";
} else {
    echo "Помилка при видаленні товару.";
}

$stmt->close();
$conn->close();
?>

<!DOCTYPE html>
<html lang="uk">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Видалення товару</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f2f2f2;
            margin: 0;
            padding: 20px;
        }
        .container {
            max-width: 600px;
            margin: 0 auto;
            background-color: white;
            padding: 20px;
            border-radius: 10px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }
        .message {
            font-size: 18px;
            margin-bottom: 20px;
        }
        .button-back {
            display: inline-block;
            padding: 10px 20px;
            font-size: 16px;
            background-color: #007BFF;
            color: white;
            border: none;
            border-radius: 5px;
            cursor: pointer;
        }
        .button-back:hover {
            background-color: #0056b3;
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="message"><?php echo "Товар успішно видалено!"?></div>
        <button class="button-back" onclick="window.location.href='del.php?login=<?= $providedLogin; ?>&password=<?= $providedPassword; ?>'">Назад</button>
    </div>
</body>
</html>
