<?php
// Якщо користувач уже увійшов, перенаправляємо його на меню
session_start();
if (isset($_SESSION['logged_in']) && $_SESSION['logged_in'] === true) {
    header('Location: menu.php');
    exit;
}

// Параметри з'єднання з базою даних (файл конфігурації)
$config = json_decode(file_get_contents('config.json'), true);

// Отримання даних з форми
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $providedLogin = isset($_POST['login']) ? $_POST['login'] : '';
    $providedPassword = isset($_POST['password']) ? $_POST['password'] : '';

    // Перевірка логіну та паролю
    if ($providedLogin === $config['login'] && $providedPassword === $config['password']) {
        $_SESSION['logged_in'] = true;
        $_SESSION['login'] = $providedLogin;
        $_SESSION['password'] = $providedPassword;
        header('Location: menu.php');
        exit;
    } else {
        $error_message = "Невірний логін або пароль.";
    }
}
?>

<!DOCTYPE html>
<html lang="uk">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Вхід</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f2f2f2;
            margin: 0;
            padding: 20px;
        }
        .container {
            max-width: 400px;
            margin: 0 auto;
            background-color: white;
            padding: 20px;
            border-radius: 10px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }
        .input-group {
            margin-bottom: 15px;
        }
        .input-group label {
            display: block;
            margin-bottom: 5px;
        }
        .input-group input {
            width: 100%;
            padding: 8px;
            box-sizing: border-box;
        }
        .button {
            width: 100%;
            padding: 10px;
            background-color: #4CAF50;
            color: white;
            border: none;
            border-radius: 5px;
            cursor: pointer;
        }
        .button:hover {
            background-color: #45a049;
        }
        .error-message {
            color: red;
            margin-bottom: 15px;
        }
    </style>
</head>
<body>
    <div class="container">
        <h2>Вхід</h2>
        <?php if (isset($error_message)): ?>
            <div class="error-message"><?= $error_message; ?></div>
        <?php endif; ?>
        <form method="POST">
            <div class="input-group">
                <label for="login">Логін:</label>
                <input type="text" id="login" name="login" required>
            </div>
            <div class="input-group">
                <label for="password">Пароль:</label>
                <input type="password" id="password" name="password" required>
            </div>
            <button type="submit" class="button">Увійти</button>
        </form>
    </div>
</body>
</html>
